<template>
  <span :id="id" :name="field.name+'_show'" class="component-input-span">
    <template v-if="field.displayType == Constant.PermissionType_MODIFY">
      <div class="split-control-title" v-if="field.title" :style="{'height':field.height ? field.height+'px' : field.heightd ? field.heightd + 'px': ''}">
        {{field.title}}
      </div>
      <div class="split-no-title" :style="{'height':field.height ? field.height+'px' : field.heightd ? field.heightd + 'px': ''}" v-else>
      </div>
    </template>
  </span>
</template>

<script>
import Constant from "@/Constant.js"
import controlHidden from "@/assets/js/controlHidden.js"
export default {
  name: "o-split",
  props: ["id"],
  computed: {
    field: function() {
      let formData = this.$parent.findField(this.id)
      return formData;
    }
  },
  mounted(){
    this.$nextTick(()=>{
      let field = this.field;
      if(field.isHideType) {
        let id = this.id,
          formShowType = field.formShowType;
        controlHidden({id, field, formShowType})
      }
    })
  },
  methods: {
   
  },
  data: function() {
    return { 
      Constant,
    };
  }
};
</script>
